#! /usr/bin/env python3
import argparse
import os

def main(args):
	os.system("mkdir -p temp")
	line = args.line.split()
	
	os.system("./spring_model.py -ar ../../spring.db/covid_hhr/nsp13.fasta.txt -ac B -at ../../spring.db/files/6jyt.pdb -br ../../spring.db/human_hhr/sp\|P51530\|DNA2_HUMAN.fasta.txt -bc A -bt ../../spring.db/files/5ean.pdb -ts ../../spring.db/files/6jyt.pdb -tc B")

if __name__ == "__main__":
	parser = argparse.ArgumentParser(description='Create a 3D model from HH-search results (from single line parameter).')
	parser.add_argument('-l', '--line', help='Space separated single-line parameter (Query Target Z-min QueryTemplate TargetTemplate ComplexTemplate', required=True)
	args = parser.parse_args()
	main(args)
 